SPA Templates

SPA: Retrieves a list of Templates.

SPA: Retrieves a list of Templates.

GET/api/spa/templates

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[paused]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

active
boolean

No description provided.

active[]
boolean[]

No description provided.

subClient
string

No description provided.

subClient[]
string[]

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, description, groupIdentifier, customId, color, maxPageAmount, maxBlockedAmount, paused, legacy, validatorIdentifiers, chartIdentifiers, qrCodeIdentifiers, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

SpaTemplate collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier to be used for mappings

Example: "my_template_document"

description
string

Template description / title. <<>>-Syntax can be used for dynamical generation.

Example: "Invoice for contract <<contract.number>>"

color
string

HTML color code to be used on Dashboard-charts and statistics.

Example: "#083E5D"

maxPageAmount
integer

Maximum expected pages amount in rendered documents. Documents with page amount > limit will be marked and displayed on Dashboard.

Example: 10

maxBlockedAmount
integer

Maximum amount of accepted errors. Template will be paused in case of reaching this limit

Example: 10

paused
boolean

Paused flag. Default: false

Available options: truefalse

Example: false

customId
string

Optional value in <<>>-Syntax to be extracted and stored on each rendered document.

Example: "<<contract.number>>"

chartIdentifiers
string[]

Identifier list of charts, used in current template

Example: ["consumption","balance"]

validatorIdentifiers
string[]

Identifier list of validators, to be executed on current template

Example: ["address_validator","product_validator"]

qrCodeIdentifiers
string[]

Identifier list of QR-Code definitions, to be used on current template

Example: ["myqrcode"]

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

brandIdentifier
stringrequired

Example: "default"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"

reviewCondition
string

Review condition.

Example: "data['contract']['id'] > 1000"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"